Index: /java/main/src/main/java/com/framsticks/parsers/Loaders.java
===================================================================
--- /java/main/src/main/java/com/framsticks/parsers/Loaders.java	(revision 86)
+++ /java/main/src/main/java/com/framsticks/parsers/Loaders.java	(revision 87)
@@ -12,32 +12,33 @@
 
 	public static FramsClass loadFramsClass(SourceInterface source) throws ConstructionException {
-		MultiParamLoader loader = new MultiParamLoader();
+		final MultiParamLoader loader = new MultiParamLoader();
 		loader.setNewSource(source);
 
-		FramsClass result = new FramsClass();
+		final FramsClassBuilder builder = FramsClass.build();
 
-		AccessInterface framsClassAccess = new ReflectionAccess(FramsClass.class, FramsClassBuilder.buildForClass(FramsClass.class));
-		AccessInterface paramBuilderAccess = new ReflectionAccess(ParamBuilder.class, FramsClassBuilder.buildForClass(ParamBuilder.class));
-		framsClassAccess.select(result);
+		final AccessInterface framsClassAccess = new ReflectionAccess(FramsClassBuilder.class, FramsClass.build().forClass(FramsClassBuilder.class));
+		AccessInterface paramBuilderAccess = new ReflectionAccess(ParamBuilder.class, FramsClass.build().forClass(ParamBuilder.class));
+		framsClassAccess.select(builder);
 		loader.addAccessInterface(framsClassAccess);
 		loader.addAccessInterface(paramBuilderAccess);
 
-		loader.addBreakCondition(MultiParamLoader.Status.AfterObject);
+		loader.addListener(MultiParamLoader.Status.AfterObject, new MultiParamLoader.StatusListener() {
+			@Override
+			public void onStatusChange() {
+				Object object = loader.returnObject();
+				if (object instanceof FramsClassBuilder) {
+					return;
+				}
+				if (framsClassAccess.select(builder).tryAutoAppend(object)) {
+					return;
+				}
+				throw new ConstructionException().msg("failed to interpretate object").arg("object", object);
+
+			}
+		});
 
 		try {
-			MultiParamLoader.Status condition;
-			while ((condition = loader.go()) != MultiParamLoader.Status.Finished) {
-				if (condition == MultiParamLoader.Status.AfterObject) {
-
-					Object object = loader.returnObject();
-					if (object instanceof FramsClass) {
-						continue;
-					}
-					if (object instanceof ParamBuilder) {
-						result.append(((ParamBuilder) object).finish());
-					}
-				}
-			}
-			return result;
+			loader.go();
+			return builder.finish();
 		} catch (Exception e) {
 			throw new ConstructionException().msg("an error occurred while loading class description").arg("before", loader.getCurrentLine()).cause(e);
Index: /java/main/src/main/java/com/framsticks/parsers/MultiParamLoader.java
===================================================================
--- /java/main/src/main/java/com/framsticks/parsers/MultiParamLoader.java	(revision 86)
+++ /java/main/src/main/java/com/framsticks/parsers/MultiParamLoader.java	(revision 87)
@@ -9,4 +9,9 @@
 
 public class MultiParamLoader {
+
+	public interface StatusListener {
+		void onStatusChange();
+	}
+
 	private final static Logger log = Logger.getLogger(MultiParamLoader.class);
 
@@ -27,4 +32,6 @@
 	}
 
+	protected final Map<Status, List<StatusListener>> listeners = new HashMap<>();
+
 	/**
 	 * Specifies the action that should be taken inside loops.
@@ -36,9 +43,10 @@
 	protected AccessInterface lastAccessInterface;
 
+	protected static FramsClass emptyFramsClass = FramsClass.build().idAndName("<empty>").finish();
 	/**
 	 * Empty Param representing unknown classes - used to omit unknown
 	 * objects in the file.
 	 */
-	protected AccessInterface emptyParam = new PropertiesAccess(new FramsClass());
+	protected AccessInterface emptyParam = new PropertiesAccess(emptyFramsClass);
 
 	/**
@@ -57,8 +65,4 @@
 	private Status status = Status.None;
 
-	private void setStatus(Status status) {
-		log.trace("changing status: " + this.status.toString() + " -> " + status.toString());
-		this.status = status;
-	}
 
 	/**
@@ -176,9 +180,7 @@
 			lastAccessInterface.load(currentSource);
 
-			if (isBreakCondition(Status.AfterObject)) {
-				// break after object creation
+			if (changeStatus(Status.AfterObject)) {
 				return LoopAction.Break;
 			}
-
 			return LoopAction.Continue;
 		} else if (status == Status.BeforeUnknown) {
@@ -187,6 +189,7 @@
 			// found unknown object
 			emptyParam.load(currentSource);
-			setStatus(Status.AfterObject);
-
+			if (changeStatus(Status.AfterObject)) {
+				return LoopAction.Break;
+			}
 			return LoopAction.Continue;
 		}
@@ -236,10 +239,11 @@
 	 */
 	private LoopAction isCommentLine(String line) {
-		if (line.charAt(0) == '#' && isBreakCondition(Status.OnComment)) {
-			// it's a simple comment - maybe we should break?
+		if (line.charAt(0) == '#') {
 			lastComment = line;
-			return LoopAction.Break;
-		}
-
+			if (changeStatus(Status.OnComment)) {
+				// it's a simple comment - maybe we should break?
+				return LoopAction.Break;
+			}
+		}
 		return LoopAction.Nothing;
 	}
@@ -255,6 +259,5 @@
 
 			if (lastAccessInterface != null) {
-				if (isBreakCondition(Status.BeforeObject)) {
-					log.debug("breaking before object");
+				if (changeStatus(Status.BeforeObject)) {
 					return LoopAction.Break;
 				} else {
@@ -263,6 +266,5 @@
 			} else {
 				lastUnknownObjectName = typeName;
-				if (isBreakCondition(Status.BeforeUnknown)) {
-					log.debug("breaking before unknown");
+				if (changeStatus(Status.BeforeUnknown)) {
 					return LoopAction.Break;
 				} else {
@@ -309,5 +311,5 @@
 		}
 
-		setStatus(Status.Finished);
+		changeStatus(Status.Finished);
 	}
 
@@ -320,5 +322,5 @@
 
 		currentSource = source;
-		setStatus(Status.Loading);
+		changeStatus(Status.Loading);
 
 		return true;
@@ -391,7 +393,13 @@
 	 * Checks whether execution should break on selected condition.
 	 */
-	private boolean isBreakCondition(Status condition) {
-		setStatus(condition);
-		return breakConditions.contains(condition);
+	private boolean changeStatus(Status status) {
+		log.trace("changing status: " + this.status.toString() + " -> " + status.toString());
+		this.status = status;
+		if (listeners.containsKey(status)) {
+			for (StatusListener l : listeners.get(status)) {
+				l.onStatusChange();
+			}
+		}
+		return breakConditions.contains(status);
 	}
 
@@ -405,3 +413,10 @@
 		return result;
 	}
+
+	public void addListener(Status status, StatusListener listener) {
+		if (!listeners.containsKey(status)) {
+			listeners.put(status, new LinkedList<StatusListener>());
+		}
+		listeners.get(status).add(listener);
+	}
 }
Index: /java/main/src/main/java/com/framsticks/parsers/Schema.java
===================================================================
--- /java/main/src/main/java/com/framsticks/parsers/Schema.java	(revision 86)
+++ /java/main/src/main/java/com/framsticks/parsers/Schema.java	(revision 87)
@@ -8,4 +8,7 @@
 
 import com.framsticks.params.*;
+import com.framsticks.params.annotations.AutoAppendAnnotation;
+import com.framsticks.params.annotations.FramsClassAnnotation;
+import com.framsticks.util.FramsticksException;
 import com.framsticks.util.lang.Numbers;
 import org.apache.log4j.Logger;
@@ -30,4 +33,5 @@
  * (please replace name and surname with my personal data)
  */
+@FramsClassAnnotation
 public class Schema {
 
@@ -42,4 +46,11 @@
 		//return new FileInputStream(new File(Schema.class.getResource("/parsers/f0def.xml").getPath()));
 		return Schema.class.getResourceAsStream("/parsers/f0def.xml");
+	}
+
+	public Schema() {
+	}
+
+	@AutoAppendAnnotation
+	public void addNeuroClass(NeuroClass neuroClass) {
 	}
 
@@ -52,5 +63,5 @@
 	 *             the exception if one occurred while reading the stream
 	 */
-	public Schema(InputStream inputStream) throws Exception {
+	public Schema(InputStream inputStream) {
 
 		DocumentBuilderFactory factory;
@@ -105,8 +116,6 @@
 
 		} catch (IOException | ParserConfigurationException | SAXException e) {
-			logger.fatal("unexpected exception occurred: ", e);
-			throw e;
-		}
-
+			throw new FramsticksException().msg("unexpected exception occurred").cause(e);
+		}
 	}
 
@@ -170,13 +179,12 @@
 	 *             the exception in case of any error
 	 */
-	private static FramsClass processClass(Node classNode) throws Exception {
+	private static FramsClass processClass(Node classNode) {
 		String classId = null;
 		String className = "";
 		String classDescription = "";
 		try {
-			classId = classNode.getAttributes().getNamedItem("ID")
-					.getNodeValue();
+			classId = classNode.getAttributes().getNamedItem("ID").getNodeValue();
 		} catch (NullPointerException e) {
-			throw new Exception("Class getId is not defined!");
+			throw new FramsticksException().msg("class id is not defined");
 		}
 
@@ -184,5 +192,5 @@
 		classDescription = getAttributeFromNode("DESCRIPTION", classNode);
 
-		FramsClass framsClass = new FramsClass(classId, className, classDescription);
+		FramsClassBuilder builder = FramsClass.build().id(classId).name(className).description(classDescription);
 
 		NodeList classProperties = classNode.getChildNodes();
@@ -195,8 +203,7 @@
 				String name = getAttribute(attributes, "NAME");
 				if (name == null) {
-					logger.warn("Group name in class \"" + classId + "\" ("
-							+ className + ") is undefined");
+					logger.warn("Group name in class \"" + classId + "\" (" + className + ") is undefined");
 				} else {
-					framsClass.appendGroup(new Group(name));
+					builder.group(new Group(name));
 				}
 			} else if ("PROP".equals(node.getNodeName())
@@ -204,11 +211,10 @@
 
 				NamedNodeMap attributes = node.getAttributes();
-				Param param = processParameter(attributes, classId);
-				framsClass.append(param);
+				processParameter(attributes, classId, builder);
 			}
 
 		}
 
-		return framsClass;
+		return builder.finish();
 	}
 
@@ -231,14 +237,14 @@
 	 *             the exception in case of any error
 	 */
-	private static Param processParameter(NamedNodeMap attributes, String classId)
-			throws Exception {
+	private static void processParameter(NamedNodeMap attributes, String classId, FramsClassBuilder classBuilder) {
 
 		String id = getAttribute(attributes, "ID");
-		if (id == null)
-			throw new Exception("Property ID in class \"" + classId
-					+ "\" is undefined");
+		if (id == null) {
+			throw new FramsticksException().msg("Property ID in class \"" + classId + "\" is undefined");
+		}
 		String type = getAttribute(attributes, "TYPE");
-		if (type == null)
-			throw new Exception("TYPE of property \"" + id + "\" is undefined");
+		if (type == null) {
+			throw new FramsticksException().msg("TYPE of property \"" + id + "\" is undefined");
+		}
 
 		String name = getAttribute(attributes, "NAME");
@@ -261,6 +267,5 @@
 		}
 
-		ParamBuilder builder = Param.build();
-		builder.id(id).name(name).help(description).group(group).flags(flags);
+		ParamBuilder builder = classBuilder.param(id).name(name).help(description).group(group).flags(flags);
 
 		builder.type(type);
@@ -282,5 +287,6 @@
 			builder.type(type);
 		}
-		return builder.finish();
+
+		classBuilder.param(builder);
 	}
 
Index: /java/main/src/main/java/com/framsticks/parsers/XmlLoader.java
===================================================================
--- /java/main/src/main/java/com/framsticks/parsers/XmlLoader.java	(revision 87)
+++ /java/main/src/main/java/com/framsticks/parsers/XmlLoader.java	(revision 87)
@@ -0,0 +1,5 @@
+package com.framsticks.parsers;
+
+public class XmlLoader {
+
+}
Index: /java/main/src/main/java/com/framsticks/remote/RemoteInstance.java
===================================================================
--- /java/main/src/main/java/com/framsticks/remote/RemoteInstance.java	(revision 86)
+++ /java/main/src/main/java/com/framsticks/remote/RemoteInstance.java	(revision 87)
@@ -124,4 +124,7 @@
 	}
 
+	public void setAddress(String address) {
+		setConnection(new ClientConnection(address));
+	}
 
 	public void setConnection(ClientConnection connection) {
@@ -372,5 +375,5 @@
 						loader.setNewSource(files.get(0).getContent());
 						loader.addBreakCondition(MultiParamLoader.Status.AfterObject);
-						ReflectionAccess access = new ReflectionAccess(ListChange.class, ListChange.getFramsClass());
+						ReflectionAccess access = new ReflectionAccess(ListChange.class, FramsClass.build().forClass(ListChange.class));
 						loader.addAccessInterface(access);
 						MultiParamLoader.Status status;
Index: /java/main/src/main/java/com/framsticks/util/FramsticksException.java
===================================================================
--- /java/main/src/main/java/com/framsticks/util/FramsticksException.java	(revision 86)
+++ /java/main/src/main/java/com/framsticks/util/FramsticksException.java	(revision 87)
@@ -35,4 +35,5 @@
 	}
 
+	@Override
 	public String getMessage() {
 		StringBuilder b = new StringBuilder();
@@ -49,4 +50,7 @@
 			b.append("(").append(d.build()).append(")");
 		}
+		if (this.getCause() instanceof FramsticksException) {
+			b.append(" caused by ").append(this.getCause().getMessage());
+		}
 		return b.toString();
 	}
Index: /java/main/src/main/java/com/framsticks/util/lang/Numbers.java
===================================================================
--- /java/main/src/main/java/com/framsticks/util/lang/Numbers.java	(revision 86)
+++ /java/main/src/main/java/com/framsticks/util/lang/Numbers.java	(revision 87)
@@ -9,5 +9,5 @@
 
 	@SuppressWarnings("unchecked")
-	public static <T extends Number> T parse(String value, Class<T> type) {
+	public static <T> T parse(String value, Class<T> type) {
 		if (!Strings.notEmpty(value)) {
 			return null;
@@ -30,4 +30,8 @@
 	}
 
+	// @SuppressWarnings("unchecked")
+	// public static <T> T parse(String value, Class<T> type) {
+	// 	return null;
+	// }
 
 
Index: /java/main/src/main/java/com/framsticks/util/lang/Pair.java
===================================================================
--- /java/main/src/main/java/com/framsticks/util/lang/Pair.java	(revision 86)
+++ /java/main/src/main/java/com/framsticks/util/lang/Pair.java	(revision 87)
@@ -18,3 +18,18 @@
 	}
 
+	@Override
+	public boolean equals(Object obj) {
+		if (!(obj instanceof Pair)) {
+			return false;
+		}
+		Pair<?, ?> p = (Pair<?, ?>) obj;
+		// return first == p.first && second.equals(se)
+		return first.equals(p.first) && second.equals(p.second);
+	}
+
+	@Override
+	public int hashCode() {
+		return (first != null ? first.hashCode() : 0) ^ (second != null ? second.hashCode() : 0);
+	}
+
 }
Index: /java/main/src/test/java/com/framsticks/core/ListChangeTest.java
===================================================================
--- /java/main/src/test/java/com/framsticks/core/ListChangeTest.java	(revision 87)
+++ /java/main/src/test/java/com/framsticks/core/ListChangeTest.java	(revision 87)
@@ -0,0 +1,66 @@
+package com.framsticks.core;
+
+import org.testng.annotations.BeforeMethod;
+import org.testng.annotations.Test;
+
+import com.framsticks.core.ListChange.Action;
+import com.framsticks.params.FramsClass;
+import com.framsticks.params.ListSource;
+import com.framsticks.params.ReflectionAccess;
+import com.framsticks.test.TestConfiguration;
+
+import static org.fest.assertions.Assertions.*;
+
+@Test
+public class ListChangeTest extends TestConfiguration {
+
+	FramsClass framsClass;
+	ReflectionAccess access;
+	ListChange listChange;
+
+	@BeforeMethod
+	public void clearListChange() {
+		listChange = new ListChange();
+	}
+
+	// @Test
+	// public void testEnumBehaviour() {
+	// 	for (Action a : Action.class.getEnumConstants()) {
+	// 		// assertThat(Integer.class.cast(a)).isEqualTo(a.ordinal());
+	// 		assertThat(Action.class.cast(a.ordinal())).isEqualTo(a);
+	// 	}
+
+	// }
+
+	@Test
+	public void testFramsClass() {
+		framsClass = FramsClass.build().forClass(ListChange.class);
+		assertThat(framsClass.getParamCount()).isEqualTo(3);
+	}
+
+	@Test(dependsOnMethods = "testFramsClass")
+	public void createReflectionAccess() {
+		access = new ReflectionAccess(ListChange.class, framsClass);
+	}
+
+	@Test(dependsOnMethods = "createReflectionAccess")
+	public void manualAccess() {
+		access.select(listChange);
+
+		access.set("type", 2);
+		assertThat(listChange.action).isEqualTo(Action.Modify);
+
+		listChange.action = Action.Remove;
+		assertThat(access.get("type", Integer.class)).isEqualTo(1);
+	}
+
+	@Test(dependsOnMethods = "createReflectionAccess")
+	public void load() throws Exception {
+		access.select(listChange).load(ListSource.createFrom("type:2", "pos:5", "id:test"));
+
+		assertThat(listChange.action).isEqualTo(Action.Modify);
+		assertThat(listChange.position).isEqualTo(5);
+		assertThat(listChange.identifier).isEqualTo("test");
+	}
+
+}
Index: /java/main/src/test/java/com/framsticks/core/PathTest.java
===================================================================
--- /java/main/src/test/java/com/framsticks/core/PathTest.java	(revision 87)
+++ /java/main/src/test/java/com/framsticks/core/PathTest.java	(revision 87)
@@ -0,0 +1,31 @@
+package com.framsticks.core;
+
+// import static org.mutabilitydetector.unittesting.MutabilityAssert.*;
+// import static org.mutabilitydetector.unittesting.MutabilityMatchers.*;
+// import static org.mutabilitydetector.unittesting.AllowedReason.*;
+
+// import java.util.LinkedList;
+
+import org.testng.annotations.BeforeClass;
+import org.testng.annotations.Test;
+
+import com.framsticks.test.TestConfiguration;
+
+@Test
+public class PathTest extends TestConfiguration {
+
+	@BeforeClass
+	public void setUp() {
+		// assertInstancesOf(Path.class,
+		// 		areImmutable(),
+		// 		allowingNonFinalFields(),
+		// 		provided(String.class).isAlsoImmutable(),
+		// 		provided(LinkedList.class).isAlsoImmutable()
+		// 		);
+	}
+
+	@Test
+	public void testPath() {
+	}
+
+}
Index: /java/main/src/test/java/com/framsticks/core/ProgramTest.java
===================================================================
--- /java/main/src/test/java/com/framsticks/core/ProgramTest.java	(revision 87)
+++ /java/main/src/test/java/com/framsticks/core/ProgramTest.java	(revision 87)
@@ -0,0 +1,24 @@
+package com.framsticks.core;
+
+import java.io.InputStream;
+
+import org.testng.annotations.Test;
+
+// import com.framsticks.gui.Browser;
+import com.framsticks.test.TestConfiguration;
+
+import static org.fest.assertions.Assertions.*;
+
+@Test
+public class ProgramTest extends TestConfiguration {
+
+	@Test
+	public void testConfiguration() {
+		InputStream stream = ProgramTest.class.getResourceAsStream("/configs/test.xml");
+		assertThat(stream).isNotNull();
+
+
+		//assertThat(object).isInstanceOf(Browser.class);
+	}
+
+}
Index: /java/main/src/test/java/com/framsticks/gui/BrowserTest.java
===================================================================
--- /java/main/src/test/java/com/framsticks/gui/BrowserTest.java	(revision 86)
+++ /java/main/src/test/java/com/framsticks/gui/BrowserTest.java	(revision 87)
@@ -14,5 +14,4 @@
 import org.testng.annotations.*;
 
-import com.framsticks.communication.ClientConnection;
 import com.framsticks.remote.RemoteInstance;
 import com.framsticks.test.TestConfiguration;
@@ -42,5 +41,5 @@
 		RemoteInstance localhost = new RemoteInstance();
 		localhost.setName("localhost");
-		localhost.setConnection(new ClientConnection("localhost:9009"));
+		localhost.setAddress("localhost:9009");
 
 		browser.addEndpointForInstance(localhost);
Index: /java/main/src/test/java/com/framsticks/model/CreatureTest.java
===================================================================
--- /java/main/src/test/java/com/framsticks/model/CreatureTest.java	(revision 86)
+++ /java/main/src/test/java/com/framsticks/model/CreatureTest.java	(revision 87)
@@ -4,5 +4,4 @@
 
 import com.framsticks.params.FramsClass;
-import com.framsticks.params.FramsClassBuilder;
 import com.framsticks.params.ReflectionAccess;
 import com.framsticks.params.types.ArrayListParam;
@@ -23,5 +22,5 @@
 	@Test
 	public void testFramsClass() {
-		framsClass = FramsClassBuilder.buildForClass(Creature.class);
+		framsClass = FramsClass.build().forClass(Creature.class);
 
 		assertThat(framsClass).describedAs("framsClass").isNotNull();
@@ -35,5 +34,5 @@
 	}
 
-	@Test
+	@Test(dependsOnMethods = "testFramsClass")
 	public void testReflectionAccess() throws IllegalArgumentException, IllegalAccessException, NoSuchFieldException, SecurityException {
 		access = new ReflectionAccess(Creature.class, framsClass);
Index: /java/main/src/test/java/com/framsticks/params/ParamBuilderTest.java
===================================================================
--- /java/main/src/test/java/com/framsticks/params/ParamBuilderTest.java	(revision 86)
+++ /java/main/src/test/java/com/framsticks/params/ParamBuilderTest.java	(revision 87)
@@ -18,5 +18,5 @@
 	@Test
 	public void createBuilderFramsClass() {
-		builderFramsClass = FramsClassBuilder.buildForClass(ParamBuilder.class);
+		builderFramsClass = FramsClass.build().forClass(ParamBuilder.class);
 
 		assertThat(builderFramsClass.getParamCount()).isEqualTo(6);
Index: /java/main/src/test/java/com/framsticks/parsers/F0ParserTest.java
===================================================================
--- /java/main/src/test/java/com/framsticks/parsers/F0ParserTest.java	(revision 86)
+++ /java/main/src/test/java/com/framsticks/parsers/F0ParserTest.java	(revision 87)
@@ -2,8 +2,10 @@
 
 import org.testng.annotations.*;
+
 import com.framsticks.model.*;
 import com.framsticks.model.Package;
 import com.framsticks.params.*;
 import com.framsticks.params.types.FloatParam;
+import com.framsticks.params.types.StringParam;
 import com.framsticks.test.TestConfiguration;
 import com.framsticks.util.math.Point3d;
@@ -34,9 +36,11 @@
 	public void primitiveParam() {
 		FramsClass joint = schema.getRegistry().getInfoFromCache("j");
-		PrimitiveParam dx = joint.getParamEntry("dx", PrimitiveParam.class);
+		PrimitiveParam<?> dx = joint.getParamEntry("dx", PrimitiveParam.class);
 		assertThat(dx).isInstanceOf(FloatParam.class);
 		assertThat(schema.getNeuroClasses().size()).isEqualTo(21);
 		assertThat(dx.getName()).isEqualTo("delta.x");
 		assertThat(dx.getMin(Double.class)).isEqualTo(-2.0, delta(0.0));
+
+		assertThat(schema.getRegistry().getInfoFromCache("n").getParamEntry("d", StringParam.class).getDef(String.class)).isEqualTo("N");
 	}
 
Index: /java/main/src/test/java/com/framsticks/parsers/SchemaTest.java
===================================================================
--- /java/main/src/test/java/com/framsticks/parsers/SchemaTest.java	(revision 87)
+++ /java/main/src/test/java/com/framsticks/parsers/SchemaTest.java	(revision 87)
@@ -0,0 +1,23 @@
+package com.framsticks.parsers;
+
+import org.testng.annotations.*;
+
+import com.framsticks.params.Registry;
+import com.framsticks.test.TestConfiguration;
+
+import static org.fest.assertions.Assertions.*;
+
+public class SchemaTest extends TestConfiguration {
+
+	Schema schema;
+	Registry registry;
+
+	@Test
+	public void loadSchema() {
+		schema = new Schema(Schema.getDefaultDefinitionAsStream());
+		registry = schema.getRegistry();
+		// Package.register(schema.getRegistry());
+		assertThat(registry.getInfoCache().size()).isEqualTo(5);
+	}
+
+}
